Bug 1631390 - Run smoke and regression on a patch only after passing clang-format job
Summary: Run smoke and regression on a patch only after passing clang-format job
Keywords:
Status: NEW
Alias: None
Product: GlusterFS
Classification: Community
Component: project-infrastructure
Version: mainline
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: ---
Assignee: bugs@gluster.org
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-09-20 13:24 UTC by Amar Tumballi
Modified: 2019-08-31 17:42 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:


Attachments (Terms of Use)

Description Amar Tumballi 2018-09-20 13:24:26 UTC
Description of problem:
Now, 'clang-format' job runs as part of smoke! As it is a mandatory, and as it is a new change, there is high chance of smoke getting negative vote for this job compared to others. It makes sense to run it first, and then only run other jobs. Otherwise, we will be spending too many resources even when we 'technically know' the vote is -1.

Version-Release number of selected component (if applicable):
master

How reproducible:
100%

Steps to Reproduce:
1. Send a patch with known format change issues
2. Trigger regression with marking Verified as +1.
3. See that all smoke job, and regression job still starts and completes


Expected results:
only if clang-format passes, others should be allowed.

Comment 1 Nigel Babu 2018-10-03 08:47:43 UTC
This going to take some time to tweak and get right. I'm going to tackle this in sprint 5.


Note You need to log in before you can comment on or make changes to this bug.